window.addEventListener('DOMContentLoaded', () => {
  
    imageFiler();
     
})



function imageFiler(){
    
var miesiacSet=new Set();
var miesiacSet2=new Set();
var rokSet=new Set();
var inrok='';
var inmiesiac='';
var rok='';
var miesiacc='';
var rokp='';
var wartoscinputow='';
var wartoscinputow1='';
var imagePath='';
var przechowywaczka=document.querySelector('ul.sigFreeClassic').innerHTML;
    document.querySelectorAll('ul.sigFreeClassic li.sigFreeThumb a').forEach(img => {
         imagePath= img.getAttribute('href').replace('/images/stories/arboretum/fotoaktualnosci/','');

             
             rok=imagePath.substring(0,4);
             miesiacc=imagePath.substring(5,7);
             var dzien=imagePath.substring(8,10);
  
             




       if(new Number(rok)>0){
        rokSet.add(rok);
     //   console.log(rok+'in rok');
    }
    if(new Number(miesiacc)>0){
    miesiacSet.add(new Number(miesiacc));
    }
    
    document.querySelectorAll('ul.sigFreeClassic li.sigFreeThumb img').forEach(lis => {
              lis.addEventListener('click', () => {
                 //     console.log(lis.alt.replace('Click to enlarge image'));


              })

    })




 
    })






  var sortedMiesiac=  Array.from(miesiacSet).sort(function (a, b) {
        return a-b
      });
for(var miesiac of sortedMiesiac)
    {
        if(miesiac==('01')){
            miesiac='Styczeń'

        }else if(miesiac==('02')){
            miesiac='Luty';
        }
        else if(miesiac==('03')){
            miesiac='Marzec';
        }
        else if(miesiac==('04')){
            miesiac='Kwiecień';
        }
        else if(miesiac==('05')){
            miesiac='Maj';
        }
       else if(miesiac==('06')){
            miesiac='Czerwiec';
        }
        else if(miesiac==('07')){
            miesiac='Lipiec';
        }
        else if(miesiac==('08')){
            miesiac='Sierpień';
        }
        else if(miesiac==('09')){
            miesiac='Wrzesień';
        }
        else if(miesiac==('10')){
            miesiac='Październik';
        }
        else if(miesiac==('11')){
            miesiac='Listopad'
        }
        else if(miesiac==('12')){
            miesiac='Grudzień'
        }
        
        miesiacSet2.add(miesiac);
    }




var rokInput=document.querySelector('.arbo-rok');


for(var rk of rokSet){
 inrok=inrok+'<option value="'+rk+'"><div>'+rk+'</div></option>';

}
//console.log(inrok+'in rok');
rokInput.innerHTML=rokInput.innerHTML+'<select><option  value="" placeholder="wybierz" >ALL &nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp</option>'+inrok+'</select>';

var miesiacInput=document.querySelector('.arbo-miesiac');

for(var mies of miesiacSet2){

inmiesiac=inmiesiac+'<option value="'+mies+'"><div>'+mies+'</</option>';
//console.log(mies+'miesiące');
}
miesiacInput.innerHTML=miesiacInput.innerHTML+'<select><option value="" placeholder="wybierz" >ALL&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp</option>'+inmiesiac+'</select>';






document.querySelector('.arbo-szukaj').addEventListener('click',() => {
  
    
 
document.querySelector('ul.sigFreeClassic').innerHTML=przechowywaczka;
console.log(przechowywaczka);

    

        var wybranyrokc=document.querySelector('.arbo-rok select').value.replace('ALL','').replaceAll('&nbsp ','');
    
    
        var wybranymiesiac=document.querySelector('.arbo-miesiac select').value.replace('ALL','');
         
        if(wybranymiesiac=='Styczeń'){
            wybranymiesiac='01';
        }else if(wybranymiesiac=='Luty'){
            wybranymiesiac='02';
        }
        else if(wybranymiesiac=='Marzec'){
            wybranymiesiac='03';
        }else if(wybranymiesiac=='Kwiecień'){
            wybranymiesiac='04';
        }else if(wybranymiesiac=='Maj'){
            wybranymiesiac='05';
        }else if(wybranymiesiac=='Czerwiec'){
            wybranymiesiac='06';
        }else if(wybranymiesiac=='Lipiec'){
            wybranymiesiac='07';
        }else if(wybranymiesiac=='Sierpień'){
            wybranymiesiac='08';
        }else if(wybranymiesiac=='Wrzesień'){
            wybranymiesiac='09';
        }else if(wybranymiesiac=='Październik'){
            wybranymiesiac='10';
        }else if(wybranymiesiac=='Listopad'){
            wybranymiesiac='11';
        }else if(wybranymiesiac=='Grudzień'){
            wybranymiesiac='12';
        }
    
    
    
        wartoscinputow=wybranyrokc+'_'+wybranymiesiac
         wartoscinputow1=wartoscinputow.replaceAll(' ','');
         
         

document.querySelectorAll('ul.sigFreeClassic li a').forEach(li =>{
    var ciagznakow=li.href.slice(0,-10);
    var lista=li.parentNode.id;
    
   
    if(ciagznakow.includes(wartoscinputow1)){
       li.parentNode.style.setProperty('display','block');
      
       
    }else{
       
           //document.querySelector('#'+lista).remove();
    
          li.parentNode.style.setProperty('display','none');
    }
})

    
    })
    




    
        


}